## Table: `recipe`

**Description:**

Defines `recipe` table in the World database.

**Columns:**
- `id` (int(10), PRIMARY KEY, AUTO_INCREMENT, NOT NULL)
- `soe_id` (int(10), DEFAULT NULL)
- `bHaveAllProducts` (tinyint(1), NOT NULL, DEFAULT 0)
- `recipe_version` (tinyint(3), NOT NULL, DEFAULT 0)
- `name` (text, NOT NULL)
- `description` (text, NOT NULL, DEFAULT '')
- `level` (int(10), NOT NULL, DEFAULT 0)
- `skill_level` (int(10), NOT NULL, DEFAULT 0)
- `technique` (int(10), NOT NULL, DEFAULT 0)
- `knowledge` (int(10), NOT NULL, DEFAULT 0)
- `icon` (int(10), NOT NULL, DEFAULT 0)
- `adv_classes` (bigint(20), NOT NULL, DEFAULT 0)
- `ts_classes` (int(10), NOT NULL, DEFAULT 0)
- `can_commission` (tinyint(1), NOT NULL, DEFAULT 1)
- `bench` (varchar(50), NOT NULL, DEFAULT '')
- `primary_comp_list` (int(10), DEFAULT NULL)
- `primary_comp_qty` (int(10), NOT NULL, DEFAULT 1)
- `fuel_comp_list` (int(10), DEFAULT NULL)
- `fuel_comp_qty` (int(10), NOT NULL, DEFAULT 1)
- `stage0_soe_id` (int(10), DEFAULT NULL)
- `stage0_id` (int(10), DEFAULT NULL)
- `stage1_soe_id` (int(10), DEFAULT NULL)
- `stage1_id` (int(10), DEFAULT NULL)
- `stage2_soe_id` (int(10), DEFAULT NULL)
- `stage2_id` (int(10), DEFAULT NULL)
- `stage3_soe_id` (int(10), DEFAULT NULL)
- `stage3_id` (int(10), DEFAULT NULL)
- `stage4_soe_id` (int(10), DEFAULT NULL)
- `stage4_id` (int(10), DEFAULT NULL)
- `stage0_qty` (int(10), NOT NULL, DEFAULT 1)
- `stage1_qty` (int(10), NOT NULL, DEFAULT 1)
- `stage2_qty` (int(10), NOT NULL, DEFAULT 1)
- `stage3_qty` (int(10), NOT NULL, DEFAULT 1)
- `stage4_qty` (int(10), NOT NULL, DEFAULT 1)
- `stage0_byp_id` (int(10), DEFAULT NULL)
- `stage1_byp_id` (int(10), DEFAULT NULL)
- `stage2_byp_id` (int(10), DEFAULT NULL)
- `stage3_byp_id` (int(10), DEFAULT NULL)
- `stage4_byp_id` (int(10), DEFAULT NULL)
- `stage0_byp_qty` (int(10), NOT NULL, DEFAULT 0)
- `stage1_byp_qty` (int(10), NOT NULL, DEFAULT 0)
- `stage2_byp_qty` (int(10), NOT NULL, DEFAULT 0)
- `stage3_byp_qty` (int(10), NOT NULL, DEFAULT 0)
- `stage4_byp_qty` (int(10), NOT NULL, DEFAULT 0)

**Primary Keys:**
- id

**Indexes/Notes:**
- KEY `IDXName` (`name`(100))
- KEY `IDXBench` (`bench`)
- KEY `IDXSoeID` (`soe_id`)
- KEY `FK_recipe_recipe_comp_list` (`primary_comp_list`)
- KEY `FK_recipe_recipe_comp_list_2` (`fuel_comp_list`)
- KEY `FK_recipe_items` (`stage0_id`)
- KEY `FK_recipe_items_2` (`stage1_id`)
- KEY `FK_recipe_items_3` (`stage2_id`)
- KEY `FK_recipe_items_4` (`stage3_id`)
- KEY `FK_recipe_items_5` (`stage4_id`)
- KEY `FK_recipe_items_6` (`stage0_byp_id`)
- KEY `FK_recipe_items_7` (`stage1_byp_id`)
- KEY `FK_recipe_items_8` (`stage2_byp_id`)
- KEY `FK_recipe_items_9` (`stage3_byp_id`)
- KEY `FK_recipe_items_10` (`stage4_byp_id`)
- CONSTRAINT `FK_recipe_items` FOREIGN KEY (`stage0_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_items_10` FOREIGN KEY (`stage4_byp_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_items_2` FOREIGN KEY (`stage1_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_items_3` FOREIGN KEY (`stage2_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_items_4` FOREIGN KEY (`stage3_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_items_5` FOREIGN KEY (`stage4_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_items_6` FOREIGN KEY (`stage0_byp_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_items_7` FOREIGN KEY (`stage1_byp_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_items_8` FOREIGN KEY (`stage2_byp_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_items_9` FOREIGN KEY (`stage3_byp_id`) REFERENCES `items` (`id`)
- CONSTRAINT `FK_recipe_recipe_comp_list` FOREIGN KEY (`primary_comp_list`) REFERENCES `recipe_comp_list` (`id`)
- CONSTRAINT `FK_recipe_recipe_comp_list_2` FOREIGN KEY (`fuel_comp_list`) REFERENCES `recipe_comp_list` (`id`)